HPE 3PAR StoreServ Storage

Upgrading the SSMC appliance from 3.7 to 3.8 fails

 
SOLVED
Go to solution
Stipriaan
Occasional Contributor

Upgrading the SSMC appliance from 3.7 to 3.8 fails

When I try to upgrade my SSMC appliance from version 3.7 to 3.8 it gives the error message : Error while upload of file
When Ii look in the /tmp folder on the appliance the entire image was transferred.

When I look in the ssmc.log file I see the following message :
2022-01-05 11:32:40.004+0100 ERROR c.h.t.s.u.l.t.DeviceApplianceUpgradeLogicV1 - Error while upload of fileInvalid package format : Upgrade package is not in a valid HPE .star format or is corrupted
2022-01-05 11:32:40.006+0100 WARN c.h.t.f.w.FoundationRestApp$ConsoleLogger - com.hp.tpd.share.BaseException: Invalid package format : Upgrade package is not in a valid HPE .star format or is corrupted

I tried the 3.8.0.0 image and the 3.8.2.1 image and both give the same result.
Both images were downloaded from the HPE website.

Is this a known bug or am I doing something wrong ?

5 REPLIES 5
sbhat09
HPE Pro

Re: Upgrading the SSMC appliance from 3.7 to 3.8 fails

Hello @Stipriaan,

Are you trying with the .star file extension? Please check if this discussion chain has answer you are looking for - https://community.hpe.com/t5/HPE-3PAR-StoreServ-Storage/Latest-SSMC-update-v3-8-2-1-is-available-for-download-log4j/m-p/7156990#M7266

Let me know if you need more assistance.

Regards,
Srinivas Bhat

If you feel this was helpful please click the KUDOS! thumb below!
Note: All of my comments are my own and are not any official representation of HPE.


I am an HPE Employee

Accept or Kudo

Stipriaan
Occasional Contributor

Re: Upgrading the SSMC appliance from 3.7 to 3.8 fails

Yes, I'm using the .star files to upgrade. (mounted the .iso to get the .star file)
I downloaded the 3.8.0.0 and 3.8.2.1 from the HPE website and both give the same error.

The discussion chain you mentioned does not have any answers to solve my issue.

Solution

Re: Upgrading the SSMC appliance from 3.7 to 3.8 fails

I have seen such issue before when using Microsoft Internet Explorer.

This is fixed in version 3.8, but upgrades to 3.8 may be impacted. I also remember that tere was a note added to the SSMC admin guide about that.

 

Did you use Microsoft IE ?

If yes, can you try Chrome?

Note that the admin-guide reads:

"Hewlett Packard Enterprise recommends you to use Google Chrome while upgrading from version 3.x to
3.8. However, all the supported browsers (Microsoft Internet Explorer, Microsoft Edge, Google Chrome, and
Mozilla Firefox) can be used for upgrades from version 3.8 onwards"

 

Hope that helps.

I am an HPE Employee

Accept or Kudo

Stipriaan
Occasional Contributor

Re: Upgrading the SSMC appliance from 3.7 to 3.8 fails

Hi Bertram,

Yes, that's the issue, I was using IE.

Now uploaded it using Chrome without any issue.
The unit is updating now.

Thanks.

support_s
System Recommended

Query: Upgrading the SSMC appliance from 3.7 to 3.8 fails

System recommended content:

1. Upgrading SSMC appliance

2. HPE SSMC 3.8.x User Guide | Upgrading SSMC

 

If the above information is helpful, then please click on "Thumbs Up/Kudo" icon.

 

Thank you for being a HPE community member.


Accept or Kudo